Jack2 1.9.12

Public Member Functions | Protected Member Functions | List of all members
Jack::JackWinNamedPipeClient Class Reference

Client named pipe. More...

`#include <JackWinNamedPipe.h>`

Inheritance diagram for Jack::JackWinNamedPipeClient:

## Public Member Functions
| JackWinNamedPipeClient (HANDLE pipe, const char *name)
virtual int | Connect (const char *dir, int which)
virtual int | Connect (const char *dir, const char *name, int which)
virtual int | Close ()
virtual int | Read (void *data, int len)
virtual int | Write (void *data, int len)
virtual void | SetReadTimeOut (long sec)
virtual void | SetWriteTimeOut (long sec)
virtual void | SetNonBlocking (bool onoff)
Public Member Functions inherited from Jack::JackWinNamedPipeAux
| JackWinNamedPipeAux (HANDLE pipe)

## Protected Member Functions
int | ConnectAux ()
Protected Member Functions inherited from Jack::JackWinNamedPipeAux
int | ReadAux (void *data, int len)
int | WriteAux (void *data, int len)

## Additional Inherited Members
Protected Attributes inherited from Jack::JackWinNamedPipeAux
HANDLE | fNamedPipe
char | fName [256]

## Detailed Description

Client named pipe.

Definition at line 80 of file JackWinNamedPipe.h.

The documentation for this class was generated from the following files:

- JackWinNamedPipe.h
- JackWinNamedPipe.cpp